aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.travis.yml20
-rw-r--r--ansible/site.yml3
-rw-r--r--build.sh42
-rw-r--r--docker/benchmarking/Dockerfile8
-rw-r--r--docker/core/Dockerfile4
-rw-r--r--docker/healthcheck/Dockerfile6
-rw-r--r--docker/smoke/Dockerfile14
-rw-r--r--docker/vnf/Dockerfile6
-rw-r--r--tox.ini2
-rw-r--r--upper-constraints.txt10
10 files changed, 62 insertions, 53 deletions
diff --git a/.travis.yml b/.travis.yml
index e6b7cdf04..504f6b6de 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -48,8 +48,8 @@ jobs:
script: >
sudo manifest-tool push from-args \
--platforms linux/amd64,linux/arm,linux/arm64 \
- --template ${DOCKER_USERNAME}/functest-core:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-core:latest
+ --template ${DOCKER_USERNAME}/functest-core:ARCH-jerma \
+ --target ${DOCKER_USERNAME}/functest-core:jerma
- stage: build all functest images
script: sudo -E bash build.sh
env:
@@ -127,20 +127,20 @@ jobs:
script: >
sudo manifest-tool push from-args \
--platforms linux/amd64,linux/arm,linux/arm64 \
- --template ${DOCKER_USERNAME}/functest-healthcheck:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-healthcheck:latest
+ --template ${DOCKER_USERNAME}/functest-healthcheck:ARCH-jerma \
+ --target ${DOCKER_USERNAME}/functest-healthcheck:jerma
- script: >
sudo manifest-tool push from-args \
--platforms linux/amd64,linux/arm,linux/arm64 \
- --template ${DOCKER_USERNAME}/functest-smoke:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-smoke:latest
+ --template ${DOCKER_USERNAME}/functest-smoke:ARCH-jerma \
+ --target ${DOCKER_USERNAME}/functest-smoke:jerma
- script: >
sudo manifest-tool push from-args \
--platforms linux/amd64,linux/arm,linux/arm64 \
- --template ${DOCKER_USERNAME}/functest-benchmarking:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-benchmarking:latest
+ --template ${DOCKER_USERNAME}/functest-benchmarking:ARCH-jerma \
+ --target ${DOCKER_USERNAME}/functest-benchmarking:jerma
- script: >
sudo manifest-tool push from-args \
--platforms linux/amd64,linux/arm,linux/arm64 \
- --template ${DOCKER_USERNAME}/functest-vnf:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-vnf:latest
+ --template ${DOCKER_USERNAME}/functest-vnf:ARCH-jerma \
+ --target ${DOCKER_USERNAME}/functest-vnf:jerma
diff --git a/ansible/site.yml b/ansible/site.yml
index 227d6b2b9..ff643418d 100644
--- a/ansible/site.yml
+++ b/ansible/site.yml
@@ -5,6 +5,9 @@
- role: collivier.xtesting
project: functest
gerrit_project: functest
+ docker_tags:
+ - jerma:
+ branch: stable/iruya
builds:
dependencies:
- repo: _
diff --git a/build.sh b/build.sh
index eff3f6b6d..8158d4fb1 100644
--- a/build.sh
+++ b/build.sh
@@ -20,54 +20,60 @@ arm64_dirs=${arm64_dirs-${amd64_dirs}}
build_opts=("--pull=true" --no-cache "--force-rm=true")
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-core|${repo}/functest-core:amd64-latest|g" {} +
+ -e "s|opnfv/functest-core:jerma|${repo}/functest-core:amd64-jerma|g" {} +
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-tempest|${repo}/functest-tempest:amd64-latest|g" {} +
+ -e \
+ "s|opnfv/functest-tempest:jerma|${repo}/functest-tempest:amd64-jerma|g" \
+ {} +
for dir in ${amd64_dirs}; do
(cd "${dir}" &&
docker build "${build_opts[@]}" \
- -t "${repo}/functest-${dir##**/}:amd64-latest" .)
- docker push "${repo}/functest-${dir##**/}:amd64-latest"
+ -t "${repo}/functest-${dir##**/}:amd64-jerma" .)
+ docker push "${repo}/functest-${dir##**/}:amd64-jerma"
[ "${dir}" != "docker/core" ] &&
- (docker rmi "${repo}/functest-${dir##**/}:amd64-latest" || true)
+ (docker rmi "${repo}/functest-${dir##**/}:amd64-jerma" || true)
done
[ -n "${amd64_dirs}" ] &&
- (docker rmi "${repo}/functest-core:amd64-latest" alpine:3.10 || true)
+ (docker rmi "${repo}/functest-core:amd64-jerma" alpine:3.10 || true)
find . -name Dockerfile -exec git checkout {} +
find . -name Dockerfile -exec sed -i \
-e "s|alpine:3.10|multiarch/alpine:arm64-v3.10|g" {} +
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-core|${repo}/functest-core:arm64-latest|g" {} +
+ -e "s|opnfv/functest-core:jerma|${repo}/functest-core:arm64-jerma|g" {} +
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-tempest|${repo}/functest-tempest:arm64-latest|g" {} +
+ -e \
+ "s|opnfv/functest-tempest:jerma|${repo}/functest-tempest:arm64-jerma|g" \
+ {} +
for dir in ${arm64_dirs}; do
(cd "${dir}" && docker build "${build_opts[@]}" \
- -t "${repo}/functest-${dir##**/}:arm64-latest" .)
- docker push "${repo}/functest-${dir##**/}:arm64-latest"
+ -t "${repo}/functest-${dir##**/}:arm64-jerma" .)
+ docker push "${repo}/functest-${dir##**/}:arm64-jerma"
[ "${dir}" != "docker/core" ] &&
- (docker rmi "${repo}/functest-${dir##**/}:arm64-latest" || true)
+ (docker rmi "${repo}/functest-${dir##**/}:arm64-jerma" || true)
done
[ -n "${arm64_dirs}" ] &&
- (docker rmi "${repo}/functest-core:arm64-latest" \
+ (docker rmi "${repo}/functest-core:arm64-jerma" \
multiarch/alpine:arm64-v3.10 || true)
find . -name Dockerfile -exec git checkout {} +
find . -name Dockerfile -exec sed -i \
-e "s|alpine:3.10|multiarch/alpine:armhf-v3.10|g" {} +
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-core|${repo}/functest-core:arm-latest|g" {} +
+ -e "s|opnfv/functest-core:jerma|${repo}/functest-core:arm-jerma|g" {} +
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-tempest|${repo}/functest-tempest:arm-latest|g" {} +
+ -e \
+ "s|opnfv/functest-tempest:jerma|${repo}/functest-tempest:arm-jerma|g" \
+ {} +
for dir in ${arm_dirs}; do
(cd "${dir}" && docker build "${build_opts[@]}" \
- -t "${repo}/functest-${dir##**/}:arm-latest" .)
- docker push "${repo}/functest-${dir##**/}:arm-latest"
+ -t "${repo}/functest-${dir##**/}:arm-jerma" .)
+ docker push "${repo}/functest-${dir##**/}:arm-jerma"
[ "${dir}" != "docker/core" ] &&
- (docker rmi "${repo}/functest-${dir##**/}:arm-latest" || true)
+ (docker rmi "${repo}/functest-${dir##**/}:arm-jerma" || true)
done
[ -n "${arm_dirs}" ] &&
- (docker rmi "${repo}/functest-core:arm-latest" \
+ (docker rmi "${repo}/functest-core:arm-jerma" \
multiarch/alpine:armhf-v3.10 || true)
find . -name Dockerfile -exec git checkout {} +
diff --git a/docker/benchmarking/Dockerfile b/docker/benchmarking/Dockerfile
index a282886f2..9853d2b2d 100644
--- a/docker/benchmarking/Dockerfile
+++ b/docker/benchmarking/Dockerfile
@@ -1,8 +1,8 @@
-FROM opnfv/functest-core
+FROM opnfv/functest-core:jerma
-ARG BRANCH=master
-ARG OPENSTACK_TAG=master
-ARG VMTP_TAG=master
+ARG BRANCH=stable/jerma
+ARG OPENSTACK_TAG=stable/train
+ARG VMTP_TAG=822e7c5fe48480460da6d59a2805cf4c7d84026b
RUN apk --no-cache add --update libxml2 libxslt && \
apk --no-cache add --virtual .build-deps --update \
diff --git a/docker/core/Dockerfile b/docker/core/Dockerfile
index 3b1189fd6..0efd893bd 100644
--- a/docker/core/Dockerfile
+++ b/docker/core/Dockerfile
@@ -1,7 +1,7 @@
FROM alpine:3.10
-ARG BRANCH=master
-ARG OPENSTACK_TAG=master
+ARG BRANCH=stable/jerma
+ARG OPENSTACK_TAG=stable/train
RUN apk --no-cache add --update \
python3 libffi openssl libjpeg-turbo py3-pip bash \
diff --git a/docker/healthcheck/Dockerfile b/docker/healthcheck/Dockerfile
index 451115cad..7595d8db7 100644
--- a/docker/healthcheck/Dockerfile
+++ b/docker/healthcheck/Dockerfile
@@ -1,7 +1,7 @@
-FROM opnfv/functest-core
+FROM opnfv/functest-core:jerma
-ARG BRANCH=master
-ARG OPENSTACK_TAG=master
+ARG BRANCH=stable/jerma
+ARG OPENSTACK_TAG=stable/train
ARG ODL_TAG=85448c9d97b89989488e675b29b38ac42d8674e4
COPY thirdparty-requirements.txt thirdparty-requirements.txt
diff --git a/docker/smoke/Dockerfile b/docker/smoke/Dockerfile
index 1de3ff696..5e64132db 100644
--- a/docker/smoke/Dockerfile
+++ b/docker/smoke/Dockerfile
@@ -1,12 +1,12 @@
-FROM opnfv/functest-core
+FROM opnfv/functest-core:jerma
-ARG BRANCH=master
-ARG OPENSTACK_TAG=master
+ARG BRANCH=stable/jerma
+ARG OPENSTACK_TAG=stable/train
ARG REFSTACK_TARGET=2018.11
-ARG PATROLE_TAG=master
-ARG NEUTRON_TEMPEST_TAG=master
-ARG BARBICAN_TAG=master
-ARG OCTAVIA_TAG=master
+ARG PATROLE_TAG=0.7.0
+ARG NEUTRON_TEMPEST_TAG=0.6.0
+ARG BARBICAN_TAG=0.3.0
+ARG OCTAVIA_TAG=1.2.0
RUN apk --no-cache add --virtual .build-deps --update \
python3-dev build-base linux-headers libffi-dev \
diff --git a/docker/vnf/Dockerfile b/docker/vnf/Dockerfile
index cf67c8a77..e5997b4e3 100644
--- a/docker/vnf/Dockerfile
+++ b/docker/vnf/Dockerfile
@@ -1,7 +1,7 @@
-FROM opnfv/functest-core
+FROM opnfv/functest-core:jerma
-ARG BRANCH=master
-ARG OPENSTACK_TAG=master
+ARG BRANCH=stable/jerma
+ARG OPENSTACK_TAG=stable/train
ARG VIMS_TEST_TAG=release-130
ARG QUAFF_TAG=59213d6d8ee29433552bb75f505cdc96b0b18909
ARG CLOUDIFY_VIMS_TAG=gambia
diff --git a/tox.ini b/tox.ini
index 130e0dfd7..dd0dc0f89 100644
--- a/tox.ini
+++ b/tox.ini
@@ -5,7 +5,7 @@ envlist = docs,pep8,pylint,yamllint,ansiblelint,bashate,bandit,py27,py37,cover,p
usedevelop = True
deps =
-c{toxinidir}/upper-constraints.txt
- -c{env:UPPER_CONSTRAINTS_FILE:https://opendev.org/openstack/requirements/raw/branch/master/upper-constraints.txt}
+ -c{env:UPPER_CONSTRAINTS_FILE:https://opendev.org/openstack/requirements/raw/branch/stable/train/upper-constraints.txt}
-r{toxinidir}/requirements.txt
-r{toxinidir}/test-requirements.txt
install_command = pip install {opts} {packages}
diff --git a/upper-constraints.txt b/upper-constraints.txt
index b26f1244e..0629c7d2f 100644
--- a/upper-constraints.txt
+++ b/upper-constraints.txt
@@ -1,4 +1,4 @@
-git+https://gerrit.opnfv.org/gerrit/functest#egg=functest
+git+https://gerrit.opnfv.org/gerrit/functest@stable/jerma#egg=functest
git+https://gerrit.opnfv.org/gerrit/releng#egg=opnfv&subdirectory=modules
git+https://gerrit.opnfv.org/gerrit/snaps@0dacfaa2fbd2dfe7fc9d438b9350a0187506e61c#egg=snaps
git+https://gerrit.opnfv.org/gerrit/barometer#egg=baro_tests
@@ -18,10 +18,10 @@ ansible===2.3.2.0
xtesting===0.70.0
bandit===1.1.0
ruamel.yaml.jinja2==0.2.2
--e git+https://opendev.org/openstack/tempest#egg=tempest
-git+https://opendev.org/openstack/rally.git#egg=rally
-git+https://opendev.org/openstack/rally-openstack.git#egg=rally-openstack
-git+https://github.com/xrally/xrally-kubernetes.git#egg=xrally-kubernetes
+-e git+https://opendev.org/openstack/tempest@22.0.0#egg=tempest
+rally.git===2.0.0
+git+https://opendev.org/openstack/rally-openstack.git@49dbdffd4106a2a44daaeee94378c5c0138765ba#egg=rally-openstack
+xrally-kubernetes===1.1.1
git+https://github.com/esnme/ultrajson@d25e024f481c5571d15f3c0c406a498ca0467cfd#egg=ujson
pylint===1.9.5;python_version=='2.7'
pylint===2.3.1;python_version=='3.7'